Subject: rm -rf -> Circular directory structure
From: [email-masked] (Christoph Kukulies)

6 Aug 1997 02:55:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I'm having a weird problem under NT 4.0 (I remember to
have seen this with b17 and NT3.51 also):

D:\>rm -rf somedir
rm: WARNING: Circular directory structure.
This almost certainly means that you have a corrupted file system.
NOTIFY YOUR SYSTEM MANAGER.
Cycle detected:
somedir/FOO/FOO
is the same file as
somedir

CHKDSK doesn't flag any errors on the filesystem and I tend to believe
this isn't the cause anyway.

The interesting thing is: When I remove the file somedir/FOO/FOO
the rm command is able to run through without errors.

-- 
Chris Christoph P. U. Kukulies [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".